/**
 * Created by CSL on 2017/5/3.
 * 定额系数关系表。(即附注条件。系数会被定额公用，如同一个分枝下的兄弟定额。)
 * 公路上，定额章节点上也会挂系数（关系数据库可减少数据冗余），该系数作用于该章节下的所有定额。每条定额还有自己特有的系数。
 * 建筑上，简化逻辑设计，把章节点上的系数移到具体的定额上。
 */
var mongoose = require("mongoose");
var dbm = require("../../../config/db/db_manager");
var db = dbm.getCfgConnection("rationRepository")

var rationCoeSchema = mongoose.Schema({
    ID:Number,
    libID: Number,
    rationID: Number,
    coeIDs: Array
});

var rationCoeModel = db.model("rationCoes",rationCoeSchema, "rationCoes")

var rationCoeDAO = function(){};

rationCoeDAO.prototype.getRationCoes = function (data, callback) {
    rationCoeModel.findOne({
            "libID": data.libID,
            "rationID": data.rationID,
            "$or": [{"isDeleted": null}, {"isDeleted": false}]
        },
        function (err, doc) {
            if (err) callback(true, "获取定额调整系数错误！", "")
            else callback(false, "获取定额调整系数成功", doc);
        })
};

module.exports = new rationCoeDAO();

